summarylogtreecommitdiffstats
path: root/nushell.install
diff options
context:
space:
mode:
Diffstat (limited to 'nushell.install')
-rw-r--r--nushell.install12
1 files changed, 12 insertions, 0 deletions
diff --git a/nushell.install b/nushell.install
new file mode 100644
index 000000000000..f39a630bace0
--- /dev/null
+++ b/nushell.install
@@ -0,0 +1,12 @@
+post_install() {
+ grep -Fqx /bin/nu /etc/shells || echo /bin/nu >> /etc/shells
+ grep -Fqx /usr/bin/nu /etc/shells || echo /usr/bin/nu >> /etc/shells
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ sed -i -r '/^(\/usr)?\/bin\/nu$/d' etc/shells
+}